/*
DL2 Monitor: ./pa/chap.h
Copyright (C) 2002, Rolf Jger, Ulm (Germany)

See the file README for information on usage and redistribution
of this source code file, and for a DISCLAIMER OF ALL WARRANTIES.
*/

/*----------------------------------------------------------------------------
 * Datalink Monitor (chap): Packet Type chap (local)
 * creates the Pa_Packet object pa_chap: see pa.h for details. 
 *
 * Author: Rolf Jger,Ulm
 *----------------------------------------------------------------------------
 * YYYYMMDD  History 
 * 20020427  length introduced.
 * 20020410  attention to reserved verbose flags.
 * 20020330  created from scratch
 * $Id: chap.h,v 1.4 2002/04/29 12:58:44 dv Exp $
 *----------------------------------------------------------------------------
*/
# ifndef __CHAP_H__
# define __CHAP_H__
# include "pa/pa.h"

static Pa_Config pa_chap_field[] = {
  {"code","C",0},
  {"request-id","RI",1},
  {"length","L",2},
  {"data","PD",3},
  {"value","AV",4},
  {"name","AN",5},
  {"message","AM",6},
  {NULL,NULL,-1}
};
const Pa_Packet pa_chap = {"chap",pa_chap_field};

# define CHAP_Mcode			0x00000001
# define CHAP_Mrequest_id		0x00000002
# define CHAP_Mlength			0x00000004
# define CHAP_Mdata			0x00000008
# define CHAP_Mvalue			0x00000010
# define CHAP_Mname			0x00000020
# define CHAP_Mmessage			0x00000040
# define CHAP_Mdefault			PA_VMdefault
# define CHAP_Mpacket_length		PA_VMpacket_length

# define CHAP_F(i)			pa_chap_field[i].oname
# define CHAP_Fcode			CHAP_F(0)
# define CHAP_Frequest_id		CHAP_F(1)
# define CHAP_Flength			CHAP_F(2)
# define CHAP_Fdata			CHAP_F(3)
# define CHAP_Fvalue			CHAP_F(4)
# define CHAP_Fname			CHAP_F(5)
# define CHAP_Fmessage			CHAP_F(6)
# define CHAP_Fpacket_length		PA_VFpacket_length	
//#undef CHAP_F

# endif /*__CHAP_H__*/
